gnutls_digest_get_name(3)

NAME
gnutls_digest_get_name - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_digest_get_name(gnutls_digest_algorithm_t algorithm);

ARGUMENTS

gnutls_digest_algorithm_t algorithm
    is a digest algorithm

DESCRIPTION
Convert a gnutls_digest_algorithm_t value to a string.

RETURNS
a string that contains the name of the specified digest algorithm, or NULL.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/